unit ufrmAdvanced;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TfrmAdvanced }

  TfrmAdvanced = class(TForm)
    btnOk: TButton;
    btnCancel: TButton;
    chkUseProxy: TCheckBox;
    txtProxyHost: TEdit;
    txtProxyPort: TEdit;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    procedure chkUseProxyClick(Sender: TObject);
    procedure txtProxyPortKeyPress(Sender: TObject; var Key: char);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  frmAdvanced: TfrmAdvanced;

implementation

{$R *.lfm}

{ TfrmAdvanced }

procedure TfrmAdvanced.chkUseProxyClick(Sender: TObject);
begin
  txtProxyHost.Enabled:= chkUseProxy.Checked;
  txtProxyPort.Enabled:= chkUseProxy.Checked;
end;

procedure TfrmAdvanced.txtProxyPortKeyPress(Sender: TObject; var Key: char);
begin
  if not (Key in ['0'..'9',#8]) then
    Key:= #0;
end;

end.

